unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, EasyRegistry, Spin, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    StringSource: TEdit;
    StringDestination: TEdit;
    GroupBox2: TGroupBox;
    Button3: TButton;
    Button4: TButton;
    IntegerSource: TSpinEdit;
    IntegerDestination: TSpinEdit;
    GroupBox3: TGroupBox;
    Button5: TButton;
    Button6: TButton;
    Panel2: TPanel;
    SourceTrue: TRadioButton;
    SourceFalse: TRadioButton;
    Panel3: TPanel;
    DestinationTrue: TRadioButton;
    DestinationFalse: TRadioButton;
    EasyRegistry: TEasyRegistry;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
EasyRegistry.WriteString('String', StringSource.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Try
    StringDestination.Text := EasyRegistry.ReadString('String');

  Except

    end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Try
    EasyRegistry.WriteInteger('Integer', IntegerSource.Value);

  Except

    end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   Try
     IntegerDestination.Value := EasyRegistry.ReadInteger('Integer');

   Except

    end;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Try
    If SourceTrue.Checked = True then EasyRegistry.WriteBoolean('Boolean',True) else
    If SourceFalse.Checked = True then EasyRegistry.WriteBoolean('Boolean',False);

  Except

    end;
end;

procedure TForm1.Button6Click(Sender: TObject);
var
  Value: Boolean;

begin
  Try
    Value := EasyRegistry.ReadBoolean('Boolean');
    If Value = True then DestinationTrue.Checked := True else
    If Value = False then DestinationFalse.Checked := True;

  Except
     
    end;
end;

end.
